Tag Parser: TagParser::Mp4ExtendedFieldId Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::Mp4ExtendedFieldId Class Reference

The Mp4ExtendedFieldId specifies parameter for an extended field denoted via Mp4TagAtomIds::Extended. More...

`#include <mp4tag.h>`

Collaboration diagram for TagParser::Mp4ExtendedFieldId:
[legend]

## Public Member Functions
| Mp4ExtendedFieldId (std::string_view mean, std::string_view name, bool updateOnly=false)
| Constructs a new instance with the specified parameter.
| Mp4ExtendedFieldId (KnownField field)
| Constructs a new instance for the specified field.
| operator bool () const
| Returns whether valid parameter are assigned.
bool | matches (const Mp4TagField &field) const
| Returns whether the current parameter match the specified field.

## Public Attributes
std::string_view | mean
| mean parameter, usually Mp4TagExtendedMeanIds::iTunes
std::string_view | name
| name parameter
bool | updateOnly = false
| Whether only existing fields should be updated but no new extended field should be created.

## Detailed Description

The Mp4ExtendedFieldId specifies parameter for an extended field denoted via Mp4TagAtomIds::Extended.

Definition at line 13 of file mp4tag.h.

## Constructor & Destructor Documentation

## ◆ Mp4ExtendedFieldId() [1/2]

TagParser::Mp4ExtendedFieldId::Mp4ExtendedFieldId | ( | std::string_view | mean,
|  | std::string_view | name,
|  | bool | updateOnly = false )
| inline

Constructs a new instance with the specified parameter.

Definition at line 31 of file mp4tag.h.

## ◆ Mp4ExtendedFieldId() [2/2]

TagParser::Mp4ExtendedFieldId::Mp4ExtendedFieldId | ( | KnownField | field | ) |

Constructs a new instance for the specified field.

Remarks
  The instance will be invalid if no extended field parameter for field are known.

Definition at line 25 of file mp4tag.cpp.

## Member Function Documentation

## ◆ matches()

bool TagParser::Mp4ExtendedFieldId::matches | ( | const Mp4TagField & | field | ) | const
| inline

Returns whether the current parameter match the specified field.

Definition at line 49 of file mp4tag.h.

## ◆ operator bool()

TagParser::Mp4ExtendedFieldId::operator bool | ( |  | ) | const
| inline

Returns whether valid parameter are assigned.

Definition at line 41 of file mp4tag.h.

## Member Data Documentation

## ◆ mean

std::string_view TagParser::Mp4ExtendedFieldId::mean

mean parameter, usually Mp4TagExtendedMeanIds::iTunes

Definition at line 21 of file mp4tag.h.

## ◆ name

std::string_view TagParser::Mp4ExtendedFieldId::name

name parameter

Definition at line 23 of file mp4tag.h.

## ◆ updateOnly

bool TagParser::Mp4ExtendedFieldId::updateOnly = false

Whether only existing fields should be updated but no new extended field should be created.

Definition at line 25 of file mp4tag.h.

The documentation for this class was generated from the following files:

- mp4/mp4tag.h
- mp4/mp4tag.cpp